local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local StageID = ____isaac_2Dtypescript_2Ddefinitions.StageID
local ____readOnly = require("functions.readOnly")
local newReadonlyColor = ____readOnly.newReadonlyColor
--- We arbitrarily specify a default color equal to that of Basement.
local DEFAULT_COLOR = newReadonlyColor(nil, 201 / 255, 114 / 255, 96 / 255)
--- These values are taken from StageAPI.
____exports.VERSUS_SCREEN_DIRT_SPOT_COLORS = {
    [StageID.SPECIAL_ROOMS] = DEFAULT_COLOR,
    [StageID.BASEMENT] = newReadonlyColor(nil, 201 / 255, 114 / 255, 96 / 255),
    [StageID.CELLAR] = newReadonlyColor(nil, 229 / 255, 157 / 255, 111 / 255),
    [StageID.BURNING_BASEMENT] = newReadonlyColor(nil, 252 / 255, 108 / 255, 90 / 255),
    [StageID.CAVES] = newReadonlyColor(nil, 167 / 255, 111 / 255, 75 / 255),
    [StageID.CATACOMBS] = newReadonlyColor(nil, 135 / 255, 90 / 255, 80 / 255),
    [StageID.FLOODED_CAVES] = newReadonlyColor(nil, 111 / 255, 147 / 255, 180 / 255),
    [StageID.DEPTHS] = newReadonlyColor(nil, 70 / 255, 70 / 255, 72 / 255),
    [StageID.NECROPOLIS] = newReadonlyColor(nil, 88 / 255, 67 / 255, 54 / 255),
    [StageID.DANK_DEPTHS] = newReadonlyColor(nil, 70 / 255, 70 / 255, 72 / 255),
    [StageID.WOMB] = newReadonlyColor(nil, 241 / 255, 28 / 255, 28 / 255),
    [StageID.UTERO] = newReadonlyColor(nil, 199 / 255, 60 / 255, 48 / 255),
    [StageID.SCARRED_WOMB] = newReadonlyColor(nil, 247 / 255, 152 / 255, 88 / 255),
    [StageID.BLUE_WOMB] = newReadonlyColor(nil, 157 / 255, 209 / 255, 255 / 255),
    [StageID.SHEOL] = newReadonlyColor(nil, 60 / 255, 54 / 255, 54 / 255),
    [StageID.CATHEDRAL] = newReadonlyColor(nil, 44 / 255, 100 / 255, 111 / 255),
    [StageID.DARK_ROOM] = newReadonlyColor(nil, 80 / 255, 38 / 255, 20 / 255),
    [StageID.CHEST] = newReadonlyColor(nil, 175 / 255, 108 / 255, 72 / 255),
    [StageID.VOID] = newReadonlyColor(nil, 70 / 255, 5 / 255, 5 / 255),
    [StageID.DOWNPOUR] = newReadonlyColor(nil, 149 / 255, 157 / 255, 167 / 255),
    [StageID.DROSS] = newReadonlyColor(nil, 179 / 255, 179 / 255, 143 / 255),
    [StageID.MINES] = newReadonlyColor(nil, 93 / 255, 85 / 255, 72 / 255),
    [StageID.ASHPIT] = newReadonlyColor(nil, 106 / 255, 102 / 255, 94 / 255),
    [StageID.MAUSOLEUM] = newReadonlyColor(nil, 70 / 255, 59 / 255, 72 / 255),
    [StageID.GEHENNA] = newReadonlyColor(nil, 59 / 255, 41 / 255, 41 / 255),
    [StageID.CORPSE] = newReadonlyColor(nil, 124 / 255, 134 / 255, 111 / 255),
    [StageID.MORTIS] = newReadonlyColor(nil, 124 / 255, 134 / 255, 111 / 255),
    [StageID.HOME] = DEFAULT_COLOR,
    [StageID.BACKWARDS] = DEFAULT_COLOR
}
return ____exports
